LibreOffice: XStyle Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XStyle Interface Reference

specifies a template for a style (aka style sheet). More...

`import <XStyle.idl;`

Inheritance diagram for XStyle:

## Public Member Functions
boolean | isUserDefined ()
| identifies a style as defined by the user.
boolean | isInUse ()
string | getParentStyle ()
void | setParentStyle ([in] string aParentStyle) raises ( com::sun::star::container::NoSuchElementException )
| sets the name of the parent style.
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a template for a style (aka style sheet).

Developers Guide
  Text Documents - Overall Document Features - Styles
  Drawings and Presentations - Overall Document Features - Styles - Graphics Styles

## Member Function Documentation

## ◆ getParentStyle()

string getParentStyle | ( |  | ) |

Returns
  the name of the parent style, probably empty.

## ◆ isInUse()

boolean isInUse | ( |  | ) |

Returns
  `TRUE` if this type is used in the document.

## ◆ isUserDefined()

boolean isUserDefined | ( |  | ) |

identifies a style as defined by the user.

## ◆ setParentStyle()

void setParentStyle | ( | [in] string | aParentStyle | ) |
raises | ( | com::sun::star::container::NoSuchElementException ) |  |  |

sets the name of the parent style.

The documentation for this interface was generated from the following files:

- com/sun/star/style/XStyle.idl
- /build/libreoffice-fresh/src/libreoffice-24.2.4.2/odk/docs/idl/generated_idl_chapter_refs.idl